Upgrading or downloading php codes/stuff???

This is an archive of the phpBB 2.0.x support forum. Support for phpBB2 has now ended.
Forum rules
Following phpBB2's EoL, this forum is now archived for reference purposes only.
Please see the following announcement for more information: viewtopic.php?f=14&t=1385785
Locked
Susan1
Registered User
Posts: 2
Joined: Tue Oct 03, 2006 1:09 am

Upgrading or downloading php codes/stuff???

Post by Susan1 »

Hi

I have scoured these boards and codes. I have always thought myself pretty computer savvy. I am an admin and moderator on a few boards and have self taught myself loads of computer stuff. I have proboard, invisionfree and a php board.

I have no trouble normally with codes and downloading them where I want to and often successfully help others with any problems they encounter on their boards. However.... I can't see, no matter how hard I try how to install modifications to a php board :? I know I am far from stupid and have asked others with more computer savvy than me to help, and even they admit to being stuck :?

I look for a php modification and then go to see how to download and that's where I can't sort it :?

Do I have to upload to webspace? If so, how do I download to board from there? And where on the board do modifications need to be installed? Maybe I am thick after all :? :oops: :oops:

The main reason I need to know all this, is I am moderator on what I believe to be a paid php site and one of the admin asked for some of my help. In the admin section, it says upgrade/s need to be made. We got in touch with the person who set the site up, they read the email but made no reply to it. Can upgrades be done without their help, would an upgrade cost? and how would we go about the upgrade?

Sorry for so many questions. I held off asking for quite a while, hoping to be able to sort it myself, but just cannot. Please anyone, please reply in simple terms to me :oops: :oops: Feeling embarrassed enough as it is , that I can't fathom some of this stuff myself :oops:

Suse

ezlynx
Registered User
Posts: 81
Joined: Tue Sep 10, 2002 8:34 pm

Post by ezlynx »

If the board is old, you might need to upgrade to a newer version. All I can suggest is downloading the latest version and looking it over for directions for upgrading. Sometimes the database is changed so there are install files that are run (by uploading and then viewing the page at the url it is uploaded to and then deleted so it cannot be run again). You need to have ftp access.

For modifications, you need to download the files to your computer. Then download whatever modification you want to make and make the changes or add the files required.

I hear there is some kind of easy mod set up but I always did things the hard way.

You must upload via ftp the changed files, always saving the originals so you can replace them if something messes up.

Hope this helps. p.s. I sometimes test things out by creating a parrallel board with a different database (test database) and making the mods there to see if there are any problems.

User avatar
poyntesm
Registered User
Posts: 1671
Joined: Tue Jan 18, 2005 11:19 am
Location: Dublin, Ireland
Contact:

Post by poyntesm »

First you need to know the version you are running and then perform an upgrade.

If the board has no modified files you can upload the new changed files and run the DB upgrade scripts that are provided in the upgrade packages.

If the board already has some modifications you will need to process what is called the code changes upgrades.

The needed upgrades can be found :arrow: http://www.phpbb.com/phpBB/catdb.php?cat=48

If you do not know how to process MODification files. Read http://www.phpbb.com/kb/article.php?article_id=150

Good luck and if you need any help there is a support forum here.

I always say there is a big difference between being an administrator on a baord and administering a board. One is just a level of authorization. The other implies work!!

EDIT : After re-reading you post I think I have have missed something. You will need access to the files. The most common way is through FTP You need to know the FTP hostname, a username and password. This gives you access to the files.

Then download them to your computer. Make the changes using the methods above and then reupload.
Last edited by poyntesm on Fri Dec 08, 2006 10:48 am, edited 1 time in total.

User avatar
Jim_UK
Former Team Member
Posts: 18478
Joined: Tue Oct 12, 2004 5:36 pm
Location: Darwen N.West UK

Post by Jim_UK »

The method you must use for doing updates depends on whether you have any modifications to your board.

With no mods you can just use the "Changed files" download and with modifications to your board you would have to use the "Code changes" method.

The code changes method involves following some simple instructions to open files in a text editor and then either add, remove or replace code with some new code.

Firstly tell us if you have any modifications to your board.

Jim
The truth is out there.
Unfortunately they will not let you anywhere near it!

ilcapitano
Registered User
Posts: 44
Joined: Fri Apr 16, 2004 6:16 pm

Post by ilcapitano »

Edited by ilcapitano.
Last edited by ilcapitano on Thu Dec 07, 2006 9:27 pm, edited 1 time in total.

User avatar
Jim_UK
Former Team Member
Posts: 18478
Joined: Tue Oct 12, 2004 5:36 pm
Location: Darwen N.West UK

Post by Jim_UK »

ilcapitano wrote: Hi guys. I have the same problem.


You do not have the same problem at all. The original poster has no problem but was just seeking advice on updating. Your problem is due to you updating using Easymod and it failing to find a snippet of code in the Nosebleed style. How do you reckon that is the same problem?

You will have to make that change yourself by hand. You will have to find the corresponding section in the Nosebleed template.

Please do not hijack topics.

Jim
The truth is out there.
Unfortunately they will not let you anywhere near it!

Susan1
Registered User
Posts: 2
Joined: Tue Oct 03, 2006 1:09 am

Post by Susan1 »

Thanks all for the advice :) It's much appreciated and very helpful :)


Suse

Locked

Return to “2.0.x Support Forum”